package com.gic.haoban.manage.api.service.chat;

import java.util.List;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.chat.ChatEventDTO;
import com.gic.haoban.manage.api.dto.chat.GroupChatDTO;
import com.gic.haoban.manage.api.dto.qdto.chat.GroupChatSearchQDTO;

public interface GroupChatApiService {

    // 群列表
    public ServiceResponse<Page<GroupChatDTO>> listPage(GroupChatSearchQDTO qdto, BasePageInfo basePageInfo);

    // 群列表
    public ServiceResponse<GroupChatDTO> detail(String wxEnterpriseId, Long groupChatId);

    // 刷新群信息
    public ServiceResponse<Void> refreshChatInfo(Long groupChatId);

    /**
     * 
    * @Title: updateChatEnterpriseId
    * @Description: 客户群认领,更新企业ID
    * @author xugh
    * @param wxEnterpriseId
    * @param enterpriseId
    * @param groupChatIdList
    * @return
    * @throws
     */
    public ServiceResponse<Void> updateChatEnterpriseId(String wxEnterpriseId, String enterpriseId,
            List<Long> groupChatIdList);

    /**
     * 
    * @Title: qwEventNotice
    * @Description: 企微事件通知
    * @author xugh
    * @param dto
    * @throws
     */
    public ServiceResponse<Void> qwEventNotice(ChatEventDTO dto);

}
